Page MenuHomePhabricator

[Task] Configure ArticlePlaceholder for nnwiki
Closed, ResolvedPublic

Description

A thread on "SignPost" at nnwiki has been posted since 15. February 2016, Wikipedia:Samfunnshuset#Special:AboutTopic, about turning this extension on, which I think is long enough for anyone to argue against this.

There are no special wishes for the configuration as such.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable the ArticlePlaceholder on nnwiki

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLydia_Pintscher
Resolvedhoo
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

jeblad created this task.Mar 26 2016, 3:51 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 26 2016, 3:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This extension is not already approved for deployment. It'll need to go through the review process.

Dereckson added a subscriber: Dereckson.EditedMar 27 2016, 3:30 AM

@jeblad To help to polish the extension, still under development, it would be useful to know what are your community desiderata for the interface.

I'm particularly worried about the headings capitalization. Would the current lowercase is acceptable or do you wish headings to be in first uppercase when appropriate?

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

In the first round we are only deploying the Article Placeholder on smaller Wikipedias. We will keep nnwiki on the list for the later rounds. Thank you for starting the discussion.

jeblad added a comment.Apr 2 2016, 2:27 PM

@Lydia_Pintscher I think we need an clarification about the current state about ArticlePlaceholder. As I recall you asked for sites where this extension could be tested, and nnwiki is pretty small in overall traffic, and now you say nnwiki is a too big project. Is this extension production quality or not?

jeblad added a comment.Apr 2 2016, 2:52 PM

@Dereckson There are a lot with this extension that needs polishing, but without being able to interact with it is a bit difficult to say what works and whats not.

Capitalization in Norwegian is simpler than many other languages, but it could pose problems. Usually it is safe to enforce upper case on first letter in a title, unless there are strange entity names like "iPod". The description will typically be merged with the label by use of a comma, unless there is a ndash. An hyphen can be rewritten into a ndash if there is a following space, and can probably always be rewritten without creating much errors.

For the first round we want feedback from small Wikipedias in number of editors - among them is Haitian Creole with 2 or 3 active editors. We are initially focusing on them because they are the target group. After that we will expand gradually.

Lydia_Pintscher triaged this task as Medium priority.Apr 3 2016, 11:47 AM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
jeblad added a comment.Apr 6 2016, 9:43 PM

Noticing "ready to go", is it a configuration for sometime in the future or ready to go now? What do I tell the nnwiki-people? (They are scary)

Trolls found on an island west of nnwikis main language area, the wikipedians from fowiki.

jeblad added a comment.Apr 7 2016, 7:19 PM
This comment was removed by jeblad.

There is no change from what I said before.

Lydia_Pintscher renamed this task from Configure ArticlePlaceholder for nnwiki to [Task] Configure ArticlePlaceholder for nnwiki.Apr 21 2016, 1:35 PM
Lucie assigned this task to hoo.Jun 9 2016, 2:47 PM

Change 293526 had a related patch set uploaded (by Hoo man):
Enable the ArticlePlaceholder on nnwiki

https://gerrit.wikimedia.org/r/293526

Change 293526 merged by jenkins-bot:
Enable the ArticlePlaceholder on nnwiki

https://gerrit.wikimedia.org/r/293526

Mentioned in SAL [2016-06-09T20:57:17Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Enable the ArticlePlaceholder on nnwiki (T130997) (duration: 00m 24s)

Lucie moved this task from Doing to Done on the ArticlePlaceholder board.Jun 10 2016, 11:59 AM